package com.unis.module.coding.dal.mysql.kshzs;

import com.unis.framework.common.pojo.PageResult;
import com.unis.module.coding.controller.admin.cwxxyear.vo.CwxxYearSaveReqVO;
import com.unis.module.coding.controller.admin.kshzs.vo.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @Author: Insight
 * @Description: TODO
 * @Date: 2025/2/11 10:23
 * @Version: 1.0
 */
@Mapper
public interface KshzsMapper {

    List<Map<String, Object>> selectPieChart(paramVo paramVo);

    List<Map<String, Object>> selectList(paramVo paramVo);

    List<Map<String, Object>> queryList(paramVo paramVo);

    Map<String, Object> selectCardList(paramVo paramVo);

    List<Map<String, Object>> queryLspzList(paramVo paramVo);

    Map<String, Object> selectCardMapList(paramVo paramVo);

    List<cfxxVo> selectCxxList(paramVo paramVo);

    kqxxVo queryKqInfo(paramVo paramVo);

    cwxxVo selectCwxxInfo(paramVo paramVo);

    List<CwxxYearSaveReqVO> selectCwxxYearList(String cwxxid);

    cfxxVo selectCfInfo(paramVo paramVo);

    hwkVo selectHwkInfo(paramVo paramVo);

    List<lqjcVo> selectLqjcList(paramVo paramVo);

    List<kqxxVo> selectKqmcList(paramVo paramVo);

    List<Map<String, Object>> selectSpList(paramVo paramVo);
}
